> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get drift schedule checks history



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/drift-schedule-checks-history
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/drift-schedule-checks-history:
    summary: Gets the model timeline data for drift schedule history page
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
      - in: query
        name: start_date
        required: false
        schema:
          type: string
      - in: query
        name: end_date
        required: false
        schema:
          type: string
    get:
      tags:
        - ModelDrift
      summary: Get drift schedule checks history
      operationId: getDriftScheduleChecksHistory
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/driftHistoryTimelineArray'
          description: Gets the model timeline data
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    driftHistoryTimelineArray:
      items:
        $ref: '#/components/schemas/driftHistoryTimeline'
      type: array
    driftHistoryTimeline:
      properties:
        columnsDrifted:
          type: integer
        columnsNotDrifted:
          type: integer
        id:
          type: string
        time:
          type: integer
      required:
        - id
        - time
        - columnsDrifted
        - columnsNotDrifted
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Gets schedule check job for model drift.](/api-reference/scheduler/gets-schedule-check-job-for-model-drift.md)
- [Set scheduled checks](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/8-set-scheduled-checks-mm.md)
- [Drift detection for monitored models](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/4-set-up-drift-detection-mm.md)
- [Get scheduled check drift data](/api-reference/modeldrift/get-scheduled-check-drift-data.md)
